package com.ruoyi.cai.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.cai.domain.Anchor;
import com.ruoyi.cai.dto.admin.vo.AnchorAdminVo;
import com.ruoyi.cai.dto.app.query.index.AnchorListQuery;
import com.ruoyi.cai.dto.app.vo.AnchorListVo;
import com.ruoyi.common.core.domain.PageQuery;

/**
 * 女神列表Service接口
 *
 * @author 77
 * @date 2023-12-22
 */
public interface AnchorService extends IService<Anchor> {

    Page<AnchorAdminVo> pageAdmin(PageQuery pageQuery, AnchorAdminVo bo);

    Page<AnchorListVo> pageApp(PageQuery pageQuery, AnchorListQuery query);

    Anchor getByUserId(Long userId);

    void updateVideoStatus(Long userId, int videoStatus);
}
